load('data.mat')

b=1;
c=2;
save('bc.mat','b','c')


sum(A(:,1));

sum(A(:,1))/size(A,1);

sum(A(:,2)==13);

%summing number of rows with entries 1, 13
sum(A(:,1)&A(:,2)==13);


%compare probabilities that entries in A(:,2) were generated 
%by model1 vs model2
%@ in front of function name is required to pass it as an
%argument
prod(arrayfun(@model1,A(:,2)))> prod(arrayfun(@model2,A(:,2)));


%however, the above underflows to 0. Calculations can be 
%performed in log space to avoid underflow
sum(log(arrayfun(@model1,A(:,2))))> sum(log(arrayfun(@model2,A(:,2))));



%cell arrays
C = {1, 2, 3;
    [0,1,2],[4,4,4],[6,1,3];
    [1,2,3;6,7,4], ones(4,7),zeros(2,4,6)};


D=C(1:2,1:2);
B=C{3,1};
x=C{3,1}(2,2);
